%define upstream_name    SVG-Sparkline
%define upstream_version 1

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 8

Summary:    CGI script for generating SVG-based sparklines
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/SVG/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Getopt::Long)
BuildRequires: perl(Pod::Usage)
BuildRequires: perl(SVG)
BuildRequires: perl(Test::More)
BuildArch: noarch

%description
In the book _Beautiful Evidence_, Edward Tufte describes sparklines as
_small, high-resolution, graphics embedded in a context of words, numbers,
images_.

This module provides a relatively easy interface for creating different
kinds of sparklines. This class is not intended to be used to build large,
complex graphs (there are other modules much more suited to that job). The
focus here is on the kinds of data well-suited to the sparklines concept.

See the SVG::Sparkline::Manual manpage for the full usage documentation for
the module.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc README META.json Changes META.yml
%{_mandir}/man3/*
%perl_vendorlib/*
/usr/bin/sparkline.cgi
/usr/bin/sparkline.pl
%{_mandir}/man1/sparkline.pl.1*



%changelog
* Tue Mar 22 2022 umeabot <umeabot> 1.0.0-8.mga9
+ Revision: 1817355
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.0.0-7.mga8
+ Revision: 1497231
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 1.0.0-6.mga7
+ Revision: 1271254
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 1.0.0-5.mga6
+ Revision: 1033566
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 1.0.0-4.mga6
+ Revision: 946569
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.0.0-3.mga5
+ Revision: 748000
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.0.0-2.mga5
+ Revision: 686155
- Mageia 5 Mass Rebuild

* Wed Feb 05 2014 guillomovitch <guillomovitch> 1.0.0-1.mga5
+ Revision: 583477
- imported package perl-SVG-Sparkline


* Wed Feb 05 2014 cpan2dist 1-1mga
- initial mageia release, generated with cpan2dist
